#import <UIKit/UIKit.h>

@interface DetailViewController : UIViewController <UISplitViewControllerDelegate>{
    UITextView *body_srcView;
    NSMutableString *body_src;
    
    UITextView *body_tgtView;
    NSMutableString *body_tgt;
    
    UILabel *job_idLabel;
    NSString *job_id;
    
    UILabel *tierLabel;
    NSString *tier;
    
    UILabel *lc_tgtLabel;
    NSString *lc_tgt;
    
    UILabel *lc_srcLabel;
    NSString *lc_src;
    
    UILabel *creditsLabel;
    NSString *credits;
    
    UILabel *statusLabel;
    NSString *status;
    
    UIButton *cancelButton;
    
    UIButton *updateButton;
    
}

@property (strong, nonatomic) id detailItem;

@property (strong, nonatomic) IBOutlet UILabel *detailDescriptionLabel;

@property (strong, nonatomic) IBOutlet UITextView *body_srcView;
@property (strong, nonatomic) NSMutableString *body_src;

@property (strong, nonatomic) IBOutlet UITextView *body_tgtView;
@property (strong, nonatomic) NSMutableString *body_tgt;

@property (strong, nonatomic) IBOutlet UILabel *job_idLabel;
@property (strong, nonatomic) NSString *job_id;

@property (strong, nonatomic) IBOutlet UILabel *tierLabel;
@property (strong, nonatomic) NSString *tier;

@property (strong, nonatomic) IBOutlet UILabel *creditsLabel;
@property (strong, nonatomic) NSString *credits;

@property (strong, nonatomic) IBOutlet  UILabel *lc_tgtLabel;
@property (strong, nonatomic) NSString *lc_tgt;

@property (strong, nonatomic) IBOutlet UILabel *lc_srcLabel;
@property (strong, nonatomic) NSString *lc_src;

@property (strong, nonatomic) IBOutlet UILabel *statusLabel;
@property (strong, nonatomic) NSString *status;

@property (strong, nonatomic) IBOutlet UIButton *cancelButton;
@property (strong, nonatomic) IBOutlet UIButton *updateButton;


-(IBAction)cancelJob:(id)sender;

-(IBAction)updateJob:(id)sender;



@end
