#import "Crypto.h"

@implementation Crypto


+(NSString*)hashHmac:(NSString*)key Data:(NSString*)data{    
    const char *cKey  = [key cStringUsingEncoding:NSUTF8StringEncoding];
    const char *cData = [data cStringUsingEncoding:NSUTF8StringEncoding];
    
    unsigned char cHMAC[CC_SHA1_DIGEST_LENGTH];
    
    CCHmac(kCCHmacAlgSHA1, cKey, strlen(cKey), cData, strlen(cData), cHMAC);
    
    NSData *HMAC = [[NSData alloc] initWithBytes:cHMAC
                                          length:sizeof(cHMAC)];
    //NSString *api_sig = [QSStrings encodeBase64WithData:HMAC];
    
    //NSString *api_sig = [HMAC description];
    
    NSMutableString *binaryString = [NSMutableString stringWithCapacity:[HMAC length]];
    unsigned char *bytes = [HMAC bytes];
    for (int i = 0; i < [HMAC length]; i++) {
        [binaryString appendFormat:@"%02x", bytes[i]];
    }
    
    NSString *api_sig = binaryString;
     
    
    return api_sig;
}

@end