#import <UIKit/UIKit.h>
#import "LanguageViewController.h"

@interface AddJobViewController : UIViewController{
    UIButton *saveButton;
    UITextView *textView;
    UIButton *lc_srcButton;
    UIButton *lc_tgtButton;
    UIButton *tierButton;
    NSArray *lgAry;
    NSMutableArray *lgTgtAry;
    NSArray *lgPairsAry;
    NSString *lgSrcCode;
    NSString *lgTgtCode;
    NSString *tier;
    UILabel *lc_srcLabel;
    UILabel *lc_tgtLabel;
    UILabel *tierLabel;
    UIAlertView *alertBeforePost;
    
}

@property(nonatomic,retain) IBOutlet UITextView *textView;
@property(nonatomic,retain) IBOutlet UIButton *lc_srcButton;
@property(nonatomic,retain) IBOutlet UIButton *lc_tgtButton;
@property(nonatomic,retain) IBOutlet UIButton *tierButton;
@property(nonatomic,retain) IBOutlet UILabel *lc_srcLabel;
@property(nonatomic,retain) IBOutlet UILabel *lc_tgtLabel;
@property(nonatomic,retain) IBOutlet UILabel *tierLabel;

@property(nonatomic,retain) NSArray *lgAry;
@property(nonatomic,retain) NSMutableArray *lgTgtAry;
@property(nonatomic,retain) NSArray *lgPairsAry;

@property(nonatomic,retain) NSString *lgSrcCode;
@property(nonatomic,retain) NSString *lgTgtCode;
@property(nonatomic,retain) NSString *tier;

@property(nonatomic,retain) UIAlertView *alertBeforePost;

@property (nonatomic, assign) BOOL finished;
@property (nonatomic,assign) BOOL postFlg;

-(IBAction)getLanguageSrc:(id)sender;
-(IBAction)getLanguageTgt:(id)sender;
-(IBAction)getTier:(id)sender;

-(NSString*)getLanguageName:(NSString*)code;
-(NSString*)getLanguageCode:(NSString*)name;

-(NSInteger)countString:(NSString*)string Unit:(NSString*)unit;
- (NSString*)_uriEncodeForString:(NSString *)str;
-(NSMutableString*)decodeUFT8:(NSString*)string;
-(NSString*)convertUTF8:(NSString*)string;



@end
