#import "LanguageViewController.h"
#import "AddJobViewController.h"

@implementation LanguageViewController

@synthesize piv;
@synthesize lgAry;
@synthesize lgCode;
@synthesize lbl;
@synthesize lblName;


- (id)initWithNibName:(NSString *)nibNameOrNil bundle:(NSBundle *)nibBundleOrNil
{
    self = [super initWithNibName:nibNameOrNil bundle:nibBundleOrNil];
    if (self) {
        // Custom initialization
    }
    return self;
}

- (void)didReceiveMemoryWarning
{
    // Releases the view if it doesn't have a superview.
    [super didReceiveMemoryWarning];
    
    // Release any cached data, images, etc that aren't in use.
}

#pragma mark - View lifecycle

- (void)viewDidLoad
{
    [super viewDidLoad];
    // Do any additional setup after loading the view from its nib.
    //UIPickerViewの表示
    piv = [[[UIPickerView alloc]init]autorelease];
    piv.center = self.view.center;
    piv.delegate = self;
    piv.dataSource = self;
    [self.view addSubview: piv];
    
}

- (void)viewDidUnload
{
    [super viewDidUnload];
    // Release any retained subviews of the main view.
    // e.g. self.myOutlet = nil;
}

- (void)viewWillAppear:(BOOL)animated{
    lbl.text = self.lblName;
    
}



- (BOOL)shouldAutorotateToInterfaceOrientation:(UIInterfaceOrientation)interfaceOrientation
{
    // Return YES for supported orientations
    return (interfaceOrientation == UIInterfaceOrientationPortrait);
}

-(NSInteger)numberOfComponentsInPickerView:(UIPickerView*)pickerView{
    return 1;
}

-(NSInteger)pickerView:(UIPickerView*)pickerView numberOfRowsInComponent:(NSInteger)component{
    
    if(component == 0){
        NSUInteger rowCount = [lgAry count];
        return rowCount;
    }
}

-(NSString*)pickerView:(UIPickerView*)pickerView
           titleForRow:(NSInteger)row forComponent:(NSInteger)component{
    
    NSDictionary *lgDict = [lgAry objectAtIndex:row];
    NSString *lgName = [lgDict objectForKey:@"language"];
    return [NSString stringWithFormat:@"%@", lgName];
}

- (void) pickerView: (UIPickerView*)pView didSelectRow:(NSInteger) row  inComponent:(NSInteger)component {  
    NSDictionary *lgDict = [lgAry objectAtIndex:row];
    NSString *lgCode_tmp = [lgDict objectForKey:@"lc"];
    lgCode = lgCode_tmp;
}  

- (void)viewWillDisappear:(BOOL)animated {
    [super viewWillDisappear:animated];
    NSArray *array = self.navigationController.viewControllers;
    int arrayCount = [array count];
    AddJobViewController *parent = [array objectAtIndex:arrayCount - 1];
    
    
    if([lbl.text isEqualToString:@"Source Language"]){
        parent.lgSrcCode = lgCode;
        parent.lgTgtCode = nil;
        parent.tier = nil;
        
    }
    
    if([lbl.text isEqualToString:@"Target Language"]){
        parent.lgTgtCode = lgCode;
        parent.tier = nil;
    }


    if([lbl.text isEqualToString:@"Tier"]){
        parent.tier = lgCode;
    }


}



@end
